com.sun.pdfview.colorspace

## Class MaskColorSpace

- java.lang.Object
- - java.awt.color.ColorSpace
  - - com.sun.pdfview.colorspace.MaskColorSpace

All Implemented Interfaces:
  java.io.Serializable

    public class MaskColorSpace
    extends java.awt.color.ColorSpace

A color space used to implement masks. For now, the only type of mask supported is one where the image pixels specify where to paint, and the painting itself is done in a pre-specified PDF Paint.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class java.awt.color.ColorSpace

`CS_CIEXYZ, CS_GRAY, CS_LINEAR_RGB, CS_PYCC, CS_sRGB, TYPE_2CLR, TYPE_3CLR, TYPE_4CLR, TYPE_5CLR, TYPE_6CLR, TYPE_7CLR, TYPE_8CLR, TYPE_9CLR, TYPE_ACLR, TYPE_BCLR, TYPE_CCLR, TYPE_CMY, TYPE_CMYK, TYPE_DCLR, TYPE_ECLR, TYPE_FCLR, TYPE_GRAY, TYPE_HLS, TYPE_HSV, TYPE_Lab, TYPE_Luv, TYPE_RGB, TYPE_XYZ, TYPE_YCbCr, TYPE_Yxy`

### Constructor Summary

Constructors
Constructor and Description
`MaskColorSpace(PDFPaint paint)` Creates a new instance of PaintColorSpace

### Method Summary

Methods
`float[]` `fromCIEXYZ(float[] colorvalue)`
`float[]` `fromRGB(float[] rgbvalue)`
`int` `getNumComponents()`
`float[]` `toCIEXYZ(float[] colorvalue)`
`float[]` `toRGB(float[] colorvalue)`

### Methods inherited from class java.awt.color.ColorSpace

`getInstance, getMaxValue, getMinValue, getName, getType, isCS_sRGB`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MaskColorSpace

    public MaskColorSpace(PDFPaint paint)

Creates a new instance of PaintColorSpace

### Method Detail

#### fromCIEXYZ

    public float[] fromCIEXYZ(float[] colorvalue)

Specified by:
  `fromCIEXYZ` in class `java.awt.color.ColorSpace`

#### fromRGB

    public float[] fromRGB(float[] rgbvalue)

Specified by:
  `fromRGB` in class `java.awt.color.ColorSpace`

#### toCIEXYZ

    public float[] toCIEXYZ(float[] colorvalue)

Specified by:
  `toCIEXYZ` in class `java.awt.color.ColorSpace`

#### toRGB

    public float[] toRGB(float[] colorvalue)

Specified by:
  `toRGB` in class `java.awt.color.ColorSpace`

#### getNumComponents

    public int getNumComponents()

Overrides:
  `getNumComponents` in class `java.awt.color.ColorSpace`